## org.apache.batik.dom
Class AbstractElement.ElementTypeInfo

    java.lang.Object
      org.apache.batik.dom.AbstractElement.ElementTypeInfo

All Implemented Interfaces:
  org.w3c.dom.TypeInfo

Enclosing class:
  AbstractElement

    public class AbstractElement.ElementTypeInfo

extends java.lang.Object
implements org.w3c.dom.TypeInfo

Inner class to hold type information about this element.

Field Summary

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`AbstractElement.ElementTypeInfo()`

Method Summary
`java.lang.String` `getTypeName()` Type name.
`java.lang.String` `getTypeNamespace()` Type namespace.
`boolean` `isDerivedFrom(java.lang.String ns, java.lang.String name, int method)` Returns whether this type derives from the given type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractElement.ElementTypeInfo

    public AbstractElement.ElementTypeInfo()

Method Detail

### getTypeNamespace

    public java.lang.String getTypeNamespace()

  Type namespace.

  Specified by:
    `getTypeNamespace` in interface `org.w3c.dom.TypeInfo`

### getTypeName

    public java.lang.String getTypeName()

  Type name.

  Specified by:
    `getTypeName` in interface `org.w3c.dom.TypeInfo`

### isDerivedFrom

    public boolean isDerivedFrom(java.lang.String ns,
                                 java.lang.String name,
                                 int method)

  Returns whether this type derives from the given type.

  Specified by:
    `isDerivedFrom` in interface `org.w3c.dom.TypeInfo`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.